OpenTTD Source: RoadStopSpec Struct Reference

OpenTTD Source 14.0-beta1

Public Member Functions | Static Public Member Functions | Data Fields
RoadStopSpec Struct Reference

Road stop specification. More...

`#include <newgrf_roadstop.h>`

## Public Member Functions
Money | GetBuildCost (Price category) const
| Get the cost for building a road stop of this type. More...
Money | GetClearCost (Price category) const
| Get the cost for clearing a road stop of this type. More...

## Static Public Member Functions
static const RoadStopSpec * | Get (uint16_t index)

## Data Fields
GRFFilePropsBase< NUM_CARGO+3 > | grf_prop
| Properties related the the grf file. More...
RoadStopClassID | cls_id
| The class to which this spec belongs.
int | spec_id
| The ID of this spec inside the class.
StringID | name
| Name of this stop.
RoadStopAvailabilityType | stop_type = ROADSTOPTYPE_ALL
RoadStopDrawMode | draw_mode = ROADSTOP_DRAW_MODE_ROAD | ROADSTOP_DRAW_MODE_OVERLAY
uint8_t | callback_mask = 0
uint8_t | flags = 0
CargoTypes | cargo_triggers = 0
| Bitmask of cargo types which cause trigger re-randomizing.
AnimationInfo | animation
byte | bridge_height [6]
| Minimum height for a bridge above, 0 for none.
byte | bridge_disallowed_pillars [6]
| Disallowed pillar flags for a bridge above.
uint8_t | build_cost_multiplier = 16
| Build cost multiplier per tile.
uint8_t | clear_cost_multiplier = 16
| Clear cost multiplier per tile.

## Detailed Description

Road stop specification.

Definition at line 122 of file newgrf_roadstop.h.

## Member Function Documentation

## ◆ GetBuildCost()

Money RoadStopSpec::GetBuildCost | ( | Price | category | ) | const
| inline

Get the cost for building a road stop of this type.

Returns
  The cost for building.

Definition at line 153 of file newgrf_roadstop.h.

References GetPrice(), and GRFFilePropsBase< Tcnt >::grffile.

## ◆ GetClearCost()

Money RoadStopSpec::GetClearCost | ( | Price | category | ) | const
| inline

Get the cost for clearing a road stop of this type.

Returns
  The cost for clearing.

Definition at line 159 of file newgrf_roadstop.h.

References GetPrice(), and GRFFilePropsBase< Tcnt >::grffile.

## Field Documentation

## ◆ grf_prop

GRFFilePropsBase<NUM_CARGO + 3> RoadStopSpec::grf_prop

Properties related the the grf file.

NUM_CARGO real cargo plus three pseudo cargo sprite groups. Used for obtaining the sprite offset of custom sprites, and for evaluating callbacks.

Definition at line 129 of file newgrf_roadstop.h.

The documentation for this struct was generated from the following file:

- src/newgrf_roadstop.h